<?php

global $params;

$context = Timber::get_context();
$templates = array('proyectos.twig');
// Areas de proyectos
$areas = get_terms( [
        'taxonomy' => 'category',
        'parent' => 29,
        'hide_empty' => false,
        ]
    );
$context['areas'] = $areas;

// Servicios
$serviciosterms = get_terms( [
        'taxonomy' => 'category',
        'parent' => 138,
        'hide_empty' => false,
        ]
    );
$context['serviciosterms'] = $serviciosterms;

// Post por termino proyecto
$projects = array(
    'post_type' => 'post',
    'post_status' => 'publish',
    'numberposts' => -1,
    'orderby' => array(
        'date' => 'DESC'
    ),
    'tax_query' => array(
		array(
			'taxonomy' => 'category',
			'field'    => 'term_id',
			'terms'    => 29,
			'include_children' => false,
		)
	),
);

// Post por termino Consultoría en igualdad de género y gestión de la diversidad
$projects1 = array(
    'post_type' => 'post',
    'post_status' => 'publish',
    'numberposts' => -1,
    'orderby' => array(
        'date' => 'DESC'
    ),
	'tax_query' => array(
		array(
			'taxonomy' => 'category',
			'field'    => 'term_id',
			'terms'    => 32,
		)
	),
);

$context['posts'] = new Timber\PostQuery($projects);
$context['projects1'] = new Timber\PostQuery($projects1);

$context['section_title'] = 'proyectos';

Timber::render( $templates, $context );
